API
HQ APICredit wallets

Update credit wallet

Updates a credit wallet's configuration. Currently supports updating auto top-up settings.

POST/v1/hq/credit_wallets/{wallet_id}

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

wallet_id*string

Query Parameters

select?array<string>
expand?array<string>

Request Body

application/json

enabled*boolean
threshold?integer
Formatint64
amount?integer
Formatint64
item_price_id?string

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/credit_wallets/string" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{
  "id": "string",
  "company": "string",
  "type": "sms",
  "balance": 0,
  "currency": "string",
  "low_balance_threshold": 0,
  "auto_top_up": {
    "enabled": true,
    "threshold": 0,
    "amount": 0,
    "item_price_id": "string"
  },
  "free_allowance": {
    "limit": 0,
    "used": 0,
    "period_start": "2019-08-24T14:15:22Z"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty
Empty